AlsaPlayer: _input_plugin Struct Reference

AlsaPlayer 0.99.81

Data Fields
_input_plugin Struct Reference

`#include <input_plugin.h>`

## Data Fields
input_version_type | version
input_flags_type | flags
const char * | name
const char * | author
void * | handle
input_init_type | init
input_shutdown_type | shutdown
input_plugin_handle_type | plugin_handle
input_can_handle_type | can_handle
input_open_type | open
input_close_type | close
input_play_frame_type | play_frame
input_frame_seek_type | frame_seek
input_frame_size_type | frame_size
input_nr_frames_type | nr_frames
input_frame_to_sec_type | frame_to_sec
input_sample_rate_type | sample_rate
input_channels_type | channels
input_stream_info_type | stream_info
input_nr_tracks_type | nr_tracks
input_track_seek_type | track_seek

## Field Documentation

## ◆ author

const char* _input_plugin::author

Should point to a character array containing the name of the author(s) of this plugin.

## ◆ can_handle

input_can_handle_type _input_plugin::can_handle

## ◆ channels

input_channels_type _input_plugin::channels

## ◆ close

input_close_type _input_plugin::close

## ◆ flags

input_flags_type _input_plugin::flags

Fixed flags for the plugin (P_*)

## ◆ frame_seek

input_frame_seek_type _input_plugin::frame_seek

## ◆ frame_size

input_frame_size_type _input_plugin::frame_size

## ◆ frame_to_sec

input_frame_to_sec_type _input_plugin::frame_to_sec

## ◆ handle

void* _input_plugin::handle

dlopen() handle of this plugin. Filled in by the HOST.

## ◆ init

input_init_type _input_plugin::init

## ◆ name

const char* _input_plugin::name

Should point the a character array containing the name of this plugin

## ◆ nr_frames

input_nr_frames_type _input_plugin::nr_frames

## ◆ nr_tracks

input_nr_tracks_type _input_plugin::nr_tracks

## ◆ open

input_open_type _input_plugin::open

## ◆ play_frame

input_play_frame_type _input_plugin::play_frame

## ◆ plugin_handle

input_plugin_handle_type _input_plugin::plugin_handle

## ◆ sample_rate

input_sample_rate_type _input_plugin::sample_rate

## ◆ shutdown

input_shutdown_type _input_plugin::shutdown

## ◆ stream_info

input_stream_info_type _input_plugin::stream_info

## ◆ track_seek

input_track_seek_type _input_plugin::track_seek

## ◆ version

input_version_type _input_plugin::version

Must be set to INPUT_PLUGIN_VERSION

The documentation for this struct was generated from the following file:

- input_plugin.h